class SerialLogger:
    def __init__(self, *args, **kwargs) -> None: ...
    def open(self) -> None: ...
    def close(self) -> None: ...
    def read(self, size: int = ...): ...
    def write(self, data) -> None: ...
    def flush(self) -> None: ...
    def reset_input_buffer(self) -> None: ...
    def reset_output_buffer(self) -> None: ...
    def send_break(self, duration: float = ...) -> None: ...
    @property
    def cts(self): ...
    @property
    def dsr(self): ...
    @property
    def ri(self): ...
    @property
    def cd(self): ...
    def in_waiting(self): ...
